var Status = function(dbRequest){
	this.request=dbRequest;
    
    this.check=function(){
        console.log("dataIsReady function");
        this.request.onupgradeneeded = function (event) {
			var baseAMettreAjour = event.target.result;
			var ancienneVersion = event.oldVersion;
			var nouvelleVersion = event.newVersion;
			switch (ancienneVersion) {
				case 0:
					baseAMettreAjour.createObjectStore('produit', { keyPath:
					'id', autoIncrement: true });
					break;
				case 1:
					break;	
			};
		}

		this.request.onsuccess = function () {
			var baseActive = this.result;
			// Nous démarrons une transaction avec la base sur la table utilisateurs en lecture-écriture
			var transactionLecture = baseActive.transaction('produit',
				'readonly');
	
			var recuperationPointeur=transactionLecture.objectStore('produit').openCursor();

			recuperationPointeur.onsuccess = function (event) {
				// Nous récupérons le pointeur qui sait naviguer dans la table
				var pointeur = event.target.result;
				//alert(pointeur.size);
                if(pointeur && pointeur.value){
                    console.log("inchanger");
                }
                else{
                    console.log("modifier...");
                    var db_manager=new Database();
                    db_manager.configure();
                    var produit=new ProduitData(db_manager.open("smarkhelp",2));
                    produit.valeurParDefaut();
                    var marche=new Marche(db_manager.open("smarkhelp0",2));
                    marche.valeurParDefaut();
                    var or=new Orange(db_manager.open("smarkhelp9",2));
                    or.valeurParDefaut();
                }
			}
            baseActive.close();
		};

		this.request.onerror= function(e){
			alert("erreur. . . ");
		}; 
    };
};